Skip to main content
POST
/
v1
/
pledges
/
{id}
/
liquidations
/
{liquidation_id}
/
cancel
Cancel pledge liquidation
curl --request POST \
  --url https://api.sandbox.busha.so/v1/pledges/{id}/liquidations/{liquidation_id}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reference": "cancel_default_case_348",
  "reason": "customer_repaid",
  "meta": {}
}
'
import requests

url = "https://api.sandbox.busha.so/v1/pledges/{id}/liquidations/{liquidation_id}/cancel"

payload = {
    "reference": "cancel_default_case_348",
    "reason": "customer_repaid",
    "meta": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({reference: 'cancel_default_case_348', reason: 'customer_repaid', meta: {}})
};

fetch('https://api.sandbox.busha.so/v1/pledges/{id}/liquidations/{liquidation_id}/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "status": "success", "message": "message for success", "data": { "id": "PLR_01JB...", "pledge_id": "PLG_01HX...", "status": "cancelled", "cancelled_at": "2023-10-15T12:15:30Z", "event_id": "PLE_01JC..." } }

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Path Parameters

id
string
required

Pledge ID

Example:

"PLG_01HX..."

liquidation_id
string
required

Pledge liquidation ID

Example:

"PLR_01JB..."

Body

application/json

Pledge liquidation cancellation request

reference
string
required
Required string length: 1 - 255
Example:

"cancel_default_case_348"

reason
string
required
Required string length: 1 - 255
Example:

"customer_repaid"

meta
object

Optional non-query-critical pledge context.

Response

Successful pledge liquidation cancellation response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required